Blogs.mu and buddypress js compatibility?

My developer is telling me that the blogs.mu theme is really old, and not using buddypress js and that was the cause of some pretty major issues we were seeing, and I guess I just want to understand if that is true or if I am overlooking something with regard to documentation, because in checking compatibility everything looked fine. Thanks